Subject: 3rd ECMM meeting

From: [email-masked] (joao8528)
Date: 16 May 1995 10:05:50 GMT

The 3rd European Confederation of Medical Mycology meeting will take
place in Lisbon, Portugal in 9, 10 and 11 May, 1996. Information
available at ASPOMM (Port. Association of Medical Mycology), c/o Dr.
Manuela Rocha, R. Jose Estevao 135, 1100 Lisboa, Pt. or Email:
[email-masked]

See you in Lisbon